echo "Setting directory to input/"
cd input

echo Running tfit from `which tfit`

tfit tfit_pipeline.param >& script.log

echo ""; echo "Running differences..."

diff -sq hrc_trim.txt_lrf ../output/hrc_trim.txt_lrf
diff -sq templ.cat ../output/templ.cat

diff -sq lr_tfit.cell_pass1 ../output/lr_tfit.cell_pass1
diff -sq lr_tfit.cat_pass1 ../output/lr_tfit.cat_pass1
diff -sq lr_tfit.covar_pass1 ../output/lr_tfit.covar_pass1
diff -sq lr_tfit.cat_pass1_best ../output/lr_tfit.cat_pass1_best

diff -sqq test_tpipe_tfit.log ../output/test_tpipe_tfit.log

#This log file has dates in it; preprocess a bit
grep -v "Processing cutouts" script.log > script.log_nodates
diff -sqq script.log_nodates ../output/script.log_nodates


#Difference one of the templates
../fitsdiff.py -d 1e-9 -k date,iraf-tlm templates/3.fits ../output/templates/3.fits > fitsdiff.log
tstat=$?
../fitsdiff.py -d 1e-9 -k date,iraf-tlm hr_templates/3.fits ../output/hr_templates/3.fits >> fitsdiff.log
hrtstat=$?
# and the residual image
../fitsdiff.py -d 1e-9 resid_lr_collage.fits ../output/resid_lr_collage.fits >> fitsdiff.log
residstat=$?

echo "Fitsdiff results: 0=identical, 1=differ (details in input/fitsdiff.log):"
echo "  templates/3.fits       $tstat"
echo "  hr_templates/3.fits    $hrtstat"
echo "  resid_lr_collage.fits  $residstat"
